package com.lumberyard.graph.neo4j.plugins.communityclustering;

import static org.junit.Assert.*;

import org.junit.Test;

public class InitializerTest {
	@Test
	public void testInitializeDeltaModularity() {
		int node1Degree = 1, node2Degree = 2;
		int m = 2; // assume a third node with degree 1
		
		assertEquals(1.0/8.0, Initializer.getInitialDeltaModularity(node1Degree, node2Degree, m), 0.0);
	}
	
	@Test
	public void testInitializeFractionOfEdges() {
		int nodeDegree = 2;
		int m = 3;
		
		assertEquals(1.0/3.0, Initializer.getInitialFractionOfEdges(nodeDegree, m), 0.0);
	}

}
