package com.lumberyard.graph.neo4j.plugins.communityclustering;

public class Initializer {

	public static double getInitialDeltaModularity(int node1Degree, int node2Degree, long totalEdgesInGraph) {
		return 1.0/(2*totalEdgesInGraph) - node1Degree*node2Degree/Math.pow(2*totalEdgesInGraph, 2);
	}
	
	public static double getInitialFractionOfEdges(int nodeDegree, long totalEdgesInGraph) {
		return (double)nodeDegree/((double)totalEdgesInGraph*2);
	}
}
